Register terminal application version | Moov Documentation
Register terminal application version
Register a new version of a terminal application. For Android applications, this is used to register a new version code of the application.
To access this endpoint using an access token you'll need to specify the /terminal-applications.write scope.
Endpoint
POST /terminal-applications/{terminalApplicationID}/versions
Ask
curl -X POST "https://api.moov.io/terminal-applications/{terminalApplicationID}/versions" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00" \
-d '{
"version": "20440059"
}'
Ask
mc, _ := moov.NewClient()
var terminalApplicationID string
version := "20440059"
mc.CreateTerminalApplicationVersion(ctx, terminalApplicationID, version)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.terminalApplications.createVersion({
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
terminalApplicationVersion: {
version: "20440059",
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$terminalApplicationVersion = new Components\TerminalApplicationVersion(
version: '20440059',
);
$response = $sdk->terminalApplications->createVersion(
terminalApplicationID: '12345678-1234-1234-1234-123456789012',
terminalApplicationVersion: $terminalApplicationVersion
);
if ($response->terminalApplicationVersion !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.components.TerminalApplicationVersion;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.TerminalApplicationError;
import io.moov.sdk.models.operations.CreateTerminalApplicationVersionResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, TerminalApplicationError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
CreateTerminalApplicationVersionResponse res = sdk.terminalApplications().createVersion()
.terminalApplicationID("12345678-1234-1234-1234-123456789012")
.terminalApplicationVersion(TerminalApplicationVersion.builder()
.version("20440059")
.build())
.call();
if (res.terminalApplicationVersion().isPresent()) {
System.out.println(res.terminalApplicationVersion().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.terminal_applications.create_version(terminal_application_id="12345678-1234-1234-1234-123456789012", version="20440059")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.terminal_applications.create_version(terminal_application_id: '12345678-1234-1234-1234-123456789012', terminal_application_version: Models::Components::TerminalApplicationVersion.new(
version: '20440059'
))
unless res.terminal_application_version.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.TerminalApplications.CreateVersionAsync(
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
body: new TerminalApplicationVersion() {
Version = "20440059",
}
);
// handle response
The request completed successfully.
Example
{
"version": "20440059"
}
Response headers
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
Example
{
"error": "string"
}
Response headers
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
Example
{
"platform": "string",
"appBundleID": "string",
"packageName": "string",
"sha256Digest": "string",
"versionCode": "string"
}
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.